Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._2._1.query
Class StringPredicateType

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.ohf.ihe.common.ebxml._2._1.query.StringPredicateType

All Implemented Interfaces:
  org.eclipse.emf.common.util.Enumerator

    public final class StringPredicateType

extends org.eclipse.emf.common.util.AbstractEnumerator

A representation of the literals of the enumeration 'String Predicate Type', and utility methods for working with them.

See Also:
  `QueryPackage.getStringPredicateType()`

Field Summary
`static int` | `CONTAINS` The 'Contains' literal value.
`static StringPredicateType` | `CONTAINS_LITERAL` The 'Contains' literal object.
`static int` | `CONTAINS1` The 'Contains1' literal value.
`static StringPredicateType` | `CONTAINS1_LITERAL` The 'Contains1' literal object.
`static int` | `ENDS_WITH` The 'Ends With' literal value.
`static StringPredicateType` | `ENDS_WITH_LITERAL` The 'Ends With' literal object.
`static int` | `ENDS_WITH1` The 'Ends With1' literal value.
`static StringPredicateType` | `ENDS_WITH1_LITERAL` The 'Ends With1' literal object.
`static int` | `EQUAL` The 'Equal' literal value.
`static StringPredicateType` | `EQUAL_LITERAL` The 'Equal' literal object.
`static int` | `EQUAL1` The 'Equal1' literal value.
`static StringPredicateType` | `EQUAL1_LITERAL` The 'Equal1' literal object.
`static int` | `STARTS_WITH` The 'Starts With' literal value.
`static StringPredicateType` | `STARTS_WITH_LITERAL` The 'Starts With' literal object.
`static int` | `STARTS_WITH1` The 'Starts With1' literal value.
`static StringPredicateType` | `STARTS_WITH1_LITERAL` The 'Starts With1' literal object.
`static java.util.List` | `VALUES` A public read-only list of all the 'String Predicate Type' enumerators.

Method Summary
`static StringPredicateType` | `get(int value)` Returns the 'String Predicate Type' literal with the specified integer value.
`static StringPredicateType` | `get(java.lang.String literal)` Returns the 'String Predicate Type' literal with the specified literal value.
`static StringPredicateType` | `getByName(java.lang.String name)` Returns the 'String Predicate Type' literal with the specified name.

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CONTAINS

    public static final int CONTAINS

  The 'Contains' literal value.

  If the meaning of 'Contains' literal object isn't clear, there really should be more of a description here...

  See Also:
    `CONTAINS_LITERAL`, Constant Field Values

### CONTAINS1

    public static final int CONTAINS1

  The 'Contains1' literal value.

  If the meaning of 'Contains1' literal object isn't clear, there really should be more of a description here...

  See Also:
    `CONTAINS1_LITERAL`, Constant Field Values

### STARTS_WITH

    public static final int STARTS_WITH

  The 'Starts With' literal value.

  If the meaning of 'Starts With' literal object isn't clear, there really should be more of a description here...

  See Also:
    `STARTS_WITH_LITERAL`, Constant Field Values

### STARTS_WITH1

    public static final int STARTS_WITH1

  The 'Starts With1' literal value.

  If the meaning of 'Starts With1' literal object isn't clear, there really should be more of a description here...

  See Also:
    `STARTS_WITH1_LITERAL`, Constant Field Values

### EQUAL

    public static final int EQUAL

  The 'Equal' literal value.

  If the meaning of 'Equal' literal object isn't clear, there really should be more of a description here...

  See Also:
    `EQUAL_LITERAL`, Constant Field Values

### EQUAL1

    public static final int EQUAL1

  The 'Equal1' literal value.

  If the meaning of 'Equal1' literal object isn't clear, there really should be more of a description here...

  See Also:
    `EQUAL1_LITERAL`, Constant Field Values

### ENDS_WITH

    public static final int ENDS_WITH

  The 'Ends With' literal value.

  If the meaning of 'Ends With' literal object isn't clear, there really should be more of a description here...

  See Also:
    `ENDS_WITH_LITERAL`, Constant Field Values

### ENDS_WITH1

    public static final int ENDS_WITH1

  The 'Ends With1' literal value.

  If the meaning of 'Ends With1' literal object isn't clear, there really should be more of a description here...

  See Also:
    `ENDS_WITH1_LITERAL`, Constant Field Values

### CONTAINS_LITERAL

    public static final StringPredicateType CONTAINS_LITERAL

  The 'Contains' literal object.

  See Also:
    `CONTAINS`

### CONTAINS1_LITERAL

    public static final StringPredicateType CONTAINS1_LITERAL

  The 'Contains1' literal object.

  See Also:
    `CONTAINS1`

### STARTS_WITH_LITERAL

    public static final StringPredicateType STARTS_WITH_LITERAL

  The 'Starts With' literal object.

  See Also:
    `STARTS_WITH`

### STARTS_WITH1_LITERAL

    public static final StringPredicateType STARTS_WITH1_LITERAL

  The 'Starts With1' literal object.

  See Also:
    `STARTS_WITH1`

### EQUAL_LITERAL

    public static final StringPredicateType EQUAL_LITERAL

  The 'Equal' literal object.

  See Also:
    `EQUAL`

### EQUAL1_LITERAL

    public static final StringPredicateType EQUAL1_LITERAL

  The 'Equal1' literal object.

  See Also:
    `EQUAL1`

### ENDS_WITH_LITERAL

    public static final StringPredicateType ENDS_WITH_LITERAL

  The 'Ends With' literal object.

  See Also:
    `ENDS_WITH`

### ENDS_WITH1_LITERAL

    public static final StringPredicateType ENDS_WITH1_LITERAL

  The 'Ends With1' literal object.

  See Also:
    `ENDS_WITH1`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'String Predicate Type' enumerators.

Method Detail

### get

    public static StringPredicateType get(java.lang.String literal)

  Returns the 'String Predicate Type' literal with the specified literal value.

### getByName

    public static StringPredicateType getByName(java.lang.String name)

  Returns the 'String Predicate Type' literal with the specified name.

### get

    public static StringPredicateType get(int value)

  Returns the 'String Predicate Type' literal with the specified integer value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD